## dh-coq 0.5

=== Makefile ===
all:
	$(MAKE) -C debhelper/ $@

## dh-coq 0.3

=== debian/changelog ===
dh-coq (0.3) unstable; urgency=medium

  * Mark the package as Multi-Arch: foreign following hinter.
  * More robust parsing of the b-deps.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Jun 2022 10:16:08 +0200

dh-coq (0.2) unstable; urgency=medium

  * Fix various typos in the debian/ directory (Closes: #1012667).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Jun 2022 16:14:04 +0200

dh-coq (0.1) unstable; urgency=medium

  * Initial release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Jun 2022 20:38:06 +0200

=== debian/control ===
Source: dh-coq
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/dh-coq.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/dh-coq

Package: dh-coq
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: dh-sequence-coq
Recommends: debhelper
Description: helper tool to maintain Coq-related Debian packages
 dh-coq is a tool to help maintain Debian packages related to
 the Coq proof assistant for higher-order logic.
 .
 It computes checksums to tighten dependencies between Coq
 theories packages.

## dh-coq 0.5

=== debian/changelog ===
dh-coq (0.5) unstable; urgency=medium

  * Add dep on python3 for the d-debian-coq-tools.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Oct 2022 06:52:11 +0200

dh-coq (0.4) unstable; urgency=medium

  * Better documentation.
  * Add coq-planif-transition and coq-wanna-build tools
  as new package debian-coq-tools.
  * Try to sort the list of vo files -- makes the
  builds more reproducible.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Oct 2022 09:34:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,22 @@
 Depends: ${misc:Depends}
 Provides: dh-sequence-coq
 Recommends: debhelper
-Description: helper tool to maintain Coq-related Debian packages
- dh-coq is a tool to help maintain Debian packages related to
- the Coq proof assistant for higher-order logic.
+Description: debhelper tool for Coq-related Debian packages
+ dh-coq is a tool to help maintain Coq-related Debian packages. It
+ computes checksums to tighten dependencies between them.
  .
- It computes checksums to tighten dependencies between Coq
- theories packages.
+ Coq is a proof assistant for higher-order logic.
+
+Package: debian-coq-tools
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, python3
+Description: various tools to manage Coq-related Debian packages
+ Those tools make it easier to track package dependencies
+ and possible breakage and maintain the whole Coq-in-Debian stack
+ sane:
+ - coq-planif-transition: find out which packages depend on some
+ others for transition planification.
+ - coq-wanna-build: compute the dak script for a planned transition.
+ .
+ Coq is a proof assistant for higher-order logic.

## dh-coq 0.6

=== debian/changelog ===
dh-coq (0.6) unstable; urgency=medium

  * Adapt the levels and tests to more recent versions.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 22 Jun 2023 11:13:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/dh-coq.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/dh-coq

## dh-coq 0.8

=== debian/changelog ===
dh-coq (0.8) unstable; urgency=medium

  * Fix coq-wanna-build so elpi is correctly handled.
  * Add coq-check-packages tool.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 31 Jan 2024 14:11:56 +0100

dh-coq (0.7) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints

  [ Julien Puydt ]
  * Drop mathcomp-abel.
  * Rewrite coq-planif-transition to get a --org-more switch.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:45:38 +0100

## dh-coq 0.9

=== debian/changelog ===
dh-coq (0.9) unstable; urgency=medium

  * coq-check-packages: simplified code.
  * coq_packages.py: more features.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 01 Jun 2024 07:57:01 +0200

## dh-coq 0.11

=== debian/changelog ===
dh-coq (0.11) unstable; urgency=medium

  * Fix coq-serapi addition.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Sep 2024 20:25:36 +0200

dh-coq (0.10) unstable; urgency=medium

  * coq_packages: added coq-serapi.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 16 Sep 2024 06:48:31 +0200

## dh-coq 0.12

=== debian/changelog ===
dh-coq (0.12) unstable; urgency=medium

  * Make the testing tool handle packages without corresponding test.
  * Add the possibility to specify a switch for tests (needed for unimath now).
  * Add a comparison tool with the Coq Platform.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 30 Dec 2024 12:11:45 +0100

## dh-coq 0.13

=== debian/changelog ===
dh-coq (0.13) unstable; urgency=medium

  * Improve coq-platform-comparison.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 04 Jan 2025 12:28:05 +0100

## dh-coq 0.14

=== debian/changelog ===
dh-coq (0.14) unstable; urgency=medium

  * Add metacoq to the list of supported packages.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Feb 2025 10:13:45 +0100

## dh-coq 0.14build1

=== debian/changelog ===
dh-coq (0.14build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:58:30 +0000

## dh-coq 0.15

=== debhelper/Makefile ===
all:
	pod2man dh_coq > dh_coq.1

=== debian/changelog ===
dh-coq (0.15) experimental; urgency=medium

  * Handle the split of Coq's standard library into core and stdlib.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 00:14:51 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Package: debian-coq-tools
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, python3
+Depends: ${misc:Depends}, python3:any
 Description: various tools to manage Coq-related Debian packages
  Those tools make it easier to track package dependencies
  and possible breakage and maintain the whole Coq-in-Debian stack
